#
# spec file for package ghc-haskell-names
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name haskell-names
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.8.0
Release:        lp150.1.8
Summary:        Name resolution library for Haskell
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-lens-light-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-traverse-with-class-devel
BuildRequires:  ghc-uniplate-devel
%if %{with tests}
BuildRequires:  ghc-filemanip-devel
BuildRequires:  ghc-pretty-show-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-golden-devel
%endif

%description
This package takes modules parsed with `haskell-src-exts`, resolves used names
and annotates the parsed module with scoping information.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cabal-tweak-dep-ver aeson '< 1.1' ' < 2'

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/data
%dir %{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Applicative.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Arrow.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Category.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Concurrent.Chan.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Concurrent.MVar.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Concurrent.QSem.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Concurrent.QSemN.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Concurrent.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Exception.Base.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Exception.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Monad.Fix.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Monad.Instances.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Monad.ST.Imp.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Monad.ST.Lazy.Imp.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Monad.ST.Lazy.Safe.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Monad.ST.Lazy.Unsafe.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Monad.ST.Lazy.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Monad.ST.Safe.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Monad.ST.Strict.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Monad.ST.Unsafe.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Monad.ST.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Monad.Zip.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Control.Monad.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Bits.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Bool.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Char.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Complex.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Data.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Dynamic.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Either.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Eq.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Fixed.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Foldable.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Function.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Functor.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.IORef.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Int.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Ix.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.List.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Maybe.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Monoid.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.OldTypeable.Internal.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.OldTypeable.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Ord.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Ratio.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.STRef.Lazy.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.STRef.Strict.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.STRef.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.String.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Traversable.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Tuple.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Typeable.Internal.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Typeable.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Unique.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Version.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Data.Word.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Debug.Trace.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.C.Error.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.C.String.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.C.Types.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.C.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.Concurrent.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.ForeignPtr.Imp.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.ForeignPtr.Safe.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.ForeignPtr.Unsafe.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.ForeignPtr.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.Marshal.Alloc.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.Marshal.Array.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.Marshal.Error.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.Marshal.Pool.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.Marshal.Safe.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.Marshal.Unsafe.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.Marshal.Utils.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.Marshal.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.Ptr.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.Safe.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.StablePtr.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.Storable.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Foreign.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Arr.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Base.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.CString.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Char.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Classes.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Conc.IO.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Conc.Signal.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Conc.Sync.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Conc.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.ConsoleHandler.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Constants.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Debug.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Desugar.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Enum.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Environment.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Err.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.Array.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.Clock.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.Control.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.EPoll.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.IntMap.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.Internal.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.KQueue.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.Manager.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.PSQ.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.Poll.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.Thread.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.TimerManager.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.Unique.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Event.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Exception.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Exts.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Fingerprint.Type.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Fingerprint.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Float.ConversionUtils.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Float.RealFracMethods.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Float.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Foreign.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.ForeignPtr.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.GHCi.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Generics.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Buffer.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.BufferedIO.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Device.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Encoding.CodePage.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Encoding.Failure.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Encoding.Iconv.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Encoding.Latin1.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Encoding.Types.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Encoding.UTF16.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Encoding.UTF32.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Encoding.UTF8.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Encoding.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Exception.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.FD.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Handle.FD.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Handle.Internals.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Handle.Text.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Handle.Types.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.Handle.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.IOMode.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IO.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IOArray.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IORef.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IP.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Int.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.IntWord64.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Integer.Logarithms.Internals.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Integer.Logarithms.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Integer.Simple.Internals.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Integer.Type.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Integer.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.List.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.MVar.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Magic.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Num.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.PArr.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Pack.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Prim.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.PrimopWrappers.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Profiling.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Ptr.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Read.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Real.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.ST.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.STRef.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Show.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Stable.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Stack.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Stats.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Storable.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.TopHandler.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Tuple.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.TypeLits.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Types.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Unicode.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Weak.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/GHC.Word.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Numeric.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Prelude.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.CPUTime.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.Console.GetOpt.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.Environment.ExecutablePath.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.Environment.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.Exit.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.IO.Error.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.IO.Unsafe.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.IO.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.Info.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.Mem.StableName.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.Mem.Weak.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.Mem.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.Posix.Internals.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.Posix.Types.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/System.Timeout.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Text.ParserCombinators.ReadP.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Text.ParserCombinators.ReadPrec.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Text.Printf.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Text.Read.Lex.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Text.Read.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Text.Show.Functions.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Text.Show.symbols
%{_datadir}/%{pkg_name}-%{version}/data/baseEnvironment/Unsafe.Coerce.symbols

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Fri Jul 28 2017 psimons@suse.com
- Relax the over-specified version constraint on aeson.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.8.0 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.7.0 revision 0 with cabal2obs.
